- В именованиях не допускается наличие символов, исключение составляют только private поля и подписки на события.
- В структуре проекта, у названия папок, так же не должно быть символов, так как они влияют на namespace.

| Идентификатор                      | Формат написания         |
|:-----------------------------------|:-------------------------|
| Класс                              | PascalCase               |
| Конструктор класса                 | PascalCase               |
| Метод                              | PascalCase               |
| Агрументы метода                   | camelCase                |
| Локальная переменная               | camelCase                |
| public (Поле, Свойство, Константа) | PascalCase               |
| private (Поле, Константа)          | '_' + camelCase          |
| Делегат                            | PascalCase               |
| Событие                            | PascalCase               |
| Перечисление                       | PascalCase               |
| Значения перечисления              | PascalCase               |
| Интерфейс                          | 'I' + PascalCase         |
| Generic                            | 'T' + PascalCase         |
| Exception                          | PascalCase + 'Exception' |
| Namespace                          | PascalCase               |